com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface Cell

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject
  All Known Subinterfaces:
    ActionValueSetCell, ConditionValueSetCell, ExpressionCell, ValueSetCell

      public interface Cell
      extends ValidatableObject

  A representation of the model object 'Cell'.

  The following features are supported:

  - `Tooltip`
  - `Parser Output`
  See Also:
    `DecisiontablePackage.getCell()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParserOutput` | `getParserOutput()` Returns the value of the 'Parser Output' containment reference
    `java.lang.String` | `getTooltip()` Returns the value of the 'Tooltip' attribute
    `void` | `setParserOutput(ParserOutput value)` Sets the value of the '`Parser Output`' containment reference
    `void` | `setTooltip(java.lang.String value)` Sets the value of the '`Tooltip`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTooltip

          java.lang.String getTooltip()

      Returns the value of the 'Tooltip' attribute.

      If the meaning of the 'Tooltip' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Tooltip' attribute.
      See Also:
        `setTooltip(String)`, `DecisiontablePackage.getCell_Tooltip()`

    - #### setTooltip

          void setTooltip(java.lang.String value)

      Sets the value of the '`Tooltip`' attribute.
      Parameters:
        `value` - the new value of the 'Tooltip' attribute.
      See Also:
        `getTooltip()`

    - #### getParserOutput

          ParserOutput getParserOutput()

      Returns the value of the 'Parser Output' containment reference.

      If the meaning of the 'Parser Output' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parser Output' containment reference.
      See Also:
        `setParserOutput(ParserOutput)`, `DecisiontablePackage.getCell_ParserOutput()`

    - #### setParserOutput

          void setParserOutput(ParserOutput value)

      Sets the value of the '`Parser Output`' containment reference.
      Parameters:
        `value` - the new value of the 'Parser Output' containment reference.
      See Also:
        `getParserOutput()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.